ピクセル
GET https://linktify.net/api/pixels/
curl --request GET \
--url 'https://linktify.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 | 検索文字列。 |
| search_by | 任意 文字列 | 検索対象フィールド。許可値:name, pixel。 |
| type | 任意 文字列 | 許可値:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | 任意 文字列 | 許可値:datetime, last_datetime |
| datetime_start | 任意 文字列 | この日時以降でフィルタ。Y-m-d H:i:s 形式。 |
| datetime_end | 任意 文字列 | この日時まででフィルタ。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 並び替えフィールド。許可値:pixel_id, datetime, last_datetime, name。 |
| order_type | 任意 文字列 | 並び順。ASC(昇順)または DESC(降順)。 |
| page | 任意 整数 | 結果を取得するページ番号。既定は 1。 |
| results_per_page | 任意 整数 | 1ページあたりの件数。許可値:10, 25, 50, 100, 250, 500, 1000。既定 25。 |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-06-04 00:45:59",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://linktify.net/api/pixels?page=1",
"last": "https://linktify.net/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://linktify.net/api/pixels?page=1"
}
}
GET https://linktify.net/api/pixels/{pixel_id}
curl --request GET \
--url 'https://linktify.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-06-04 00:45:59",
}
}
POST https://linktify.net/api/pixels
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | 必須 文字列 | 許可値:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | 必須 文字列 | - |
| pixel | 必須 文字列 | - |
curl --request POST \
--url 'https://linktify.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://linktify.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://linktify.net/api/pixels/{pixel_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | 任意 文字列 | 許可値:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | 任意 文字列 | - |
| pixel | 任意 文字列 | - |
curl --request POST \
--url 'https://linktify.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://linktify.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://linktify.net/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://linktify.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \